function [A0,edges]=MiobiReVec10(A,k)
%{
 Goal : Melting Graph

 Input:
   A:  Graph
   k:  Number of edges 

 Output:
   A0: New graph after melting
   eiges: Melted edges 

 Reference: 
    Chan, Hau, Leman Akoglu, and Hanghang Tong. 
   "Make It or Break It: Manipulating Robustness 
   in Large Networks." SDM. 2014.
%}
A0=A;
n=size(A0,2);
t=10;
[V0,D0]=eigs(A0,t);
D000=diag(D0);
[seD,indD] = sort(D000,'descend');
D0=diag(seD);
for tt=1:t
  V1(:,tt)=V0(:,indD(tt));
end
%%score Vec
vecV=abs(V0(:,1));
[veclumT,indVT]= sort(vecV,'descend');
nn=10;
veclum0=veclumT(nn);
indV=indVT(nn);
aaa=0;
ccc=0;


for kn=1:k
    x=0;
 for i=1:n
     for j=i:n
        
             if (A0(i,j)==1)
                   A1=A0;   %eigs
                   x=x+1;
                Ad=zeros(n,n);  %% n x n zero metrix
                Ad(i,j)=-1;
                Ad(j,i)=-1; %% delta A for each edge
%---------------------miobi------------------------------
                  [Vt,Dt]=miobiEigen(V0,D0,Ad,t);
                  
%---------------------miobi------------------------------

                 
                  Dt000=diag(Dt);
                  [seDt,indDt] = sort(Dt000,'descend');
                  Dt=diag(seDt);
                  
                  for tt=1:t
                    V1(:,tt)=V0(:,indD(tt));
                  end
                  
                    lumt=abs(Vt(indV,1));
 
                  Dd=veclum0-lumt;
                  lum2(x)=Dd; %% score
                  Ad=zeros(n,n);
                  ix(x)=i;
                  jx(x)=j;  %% edges
                 
             end
         
     end
  end
[m,ind]=max(lum2);
lum2=0;
aaa=aaa+1;
edges(aaa,1)=ix(ind);  %% selected edges 
edges(aaa,2)=jx(ind);

A0(ix(ind),jx(ind))=0;  
A0(jx(ind),ix(ind))=0;
[V0,D0]=eigs(A0,t);



end
end
   

