function [A0,edges]=CheetahTri(A,k)
%{
 Goal : Melting Graph

 Input:
   A:  Graph
   k:  Number of edges 

 Output:
   A0: New graph after melting
   eiges: Melted edges 

 Reference: 
   Li, Liangyue, et al. "Cheetah: fast 
   graph kernel tracking on dynamic 
   graphs." SDM, 2015. 
%}
A0=A;

n=size(A0,2);
t=2;
[V0,D0]=eigs(A0,t);


D000=diag(D0);
[seD,indD] = sort(D000,'descend');
D0=diag(seD);

triSD0=0;

for tt=1:t
   triSD0=triSD0+D0(tt,tt)^3; %%sum of (D0)^3

   V1(:,tt)=V0(:,indD(tt));
end
%%tri
trilum=triSD0/6;
trilum0=trilum;

aaa=0;
ccc=0;






    x=0;
 for i=1:n
     for j=i:n
        
             if (A0(i,j)==1)
                  
                   x=x+1;
% ---------------------udEigen------------------------------
                  [Vt,Dt]=udEigen(V1,D0,i,j,n,t);
% ---------------------udEigen------------------------------ 
                  Dt000=diag(Dt);
                  [seDt,indDt] = sort(Dt000,'descend');
                  Dt=diag(seDt);
                  SDt=0;
                  for tt=1:t
                   SDt=SDt+Dt(tt,tt)^3;
                  end
                     lumt=SDt/6;
 
                  Dd=abs(lumt-trilum);
                  lum2(x)=Dd; %% score
                  Ad=zeros(n,n);
                  ix(x)=i;
                  jx(x)=j;  %% edges
                 
             end
         
     end
  end
[m,ind]=sort(lum2,'descend'); 

for kn=1:k
A0(ix(ind(kn)),jx(ind(kn)))=0;  
A0(jx(ind(kn)),ix(ind(kn)))=0;
edges(kn,2)=ix(ind(kn));
edges(kn,1)=jx(ind(kn));

end
end
