function [A0,edges]=CheetahVec10S(A,k)
%{
 Goal : Melting Graph

 Input:
   A:  Graph
   k:  Number of edges 

 Output:
   A0: New graph after melting
   eiges: Melted edges 

 Reference: 
   Li, Liangyue, et al. "Cheetah: fast 
   graph kernel tracking on dynamic 
   graphs." SDM, 2015. 
%}
A0=A;

aaa=0;
ccc=0;
n=size(A0,2);
t=2;
[V0,D0]=eigs(A0,t);
%%Vec
%%  10s
vecV=abs(V0(:,1));
[veclumT,indVT]= sort(vecV,'descend');
nn=10;
s=0;
for nnn=1:nn
    s=s+veclumT(nnn);
    nnn=nnn+1;
end
veclum0=s;
indV=indVT(1:nn);
%%  10s



    x=0;
 for i=1:n
     for j=i:n
        
             if (A0(i,j)==1)
                   
                   x=x+1;
% ---------------------udEigen------------------------------
                  [Vt,Dt]=udEigen(V0,D0,i,j,n,t);
% ---------------------udEigen------------------------------ 
                
% 10s
                   s1=0;
                   for nnn=1:nn
                      s1= s1+abs(Vt(indV(nnn),1));
                   end
                    lumt=s1;
% 10s
 
                  Dd=abs(lumt-veclum0);
                  lum2(x)=Dd; %% score
                  Ad=zeros(n,n);
                  ix(x)=i;
                  jx(x)=j;  %% edges
                 
             end
         
     end
  end
[m,ind]=sort(lum2,'descend');  
m

for kn=1:k

A0(ix(ind(kn)),jx(ind(kn)))=0;  
A0(jx(ind(kn)),ix(ind(kn)))=0;
edges(kn,2)=ix(ind(kn));
edges(kn,1)=jx(ind(kn));


end
end



