function [A0,edges]=NetmeltRe(A,k)
%{
 Goal : Melting Graph

 Input:
   A:  Graph
   k:  Number of edges 

 Output:
   A0: New graph after melting
   eiges: Melted edges 

 Reference: 
   Tong, Hanghang, et al. "Gelling,
   and melting, large graphs by edge 
   manipulation." ACM, 2012.
%}
A0=A;
n=size(A0,2);

A0T= A0';
t=2;
[V0,D0]=eigs(A0,t); %%  D is eigenvalue and V is right eigenvectors
vecV=abs(V0(:,1));
[veclum,indV]=max(vecV);
veclum0=veclum;
indV0=indV;

[V0T,D0T]=eigs(A0T,t);%% V is left eigenvectors 
V0= abs(V0);
D0(1,1)=abs(D0(1,1));
V0T= abs(V0T);


D00(1,1)=D0(1,1);  


kkk=0;
ccc=0;


for kn=1:k  
    x=0;
for i=1:n
     for j=i:n
             if (A0(i,j)==1)
                  x=x+1;
                  lum1(x)=V0(i, 1) * V0T(j, 1);
                  ix(x)=i;
                  jx(x)=j;  %% edges
                 
             end
         
     end
end
[m,ind]=max(lum1);  %%find out the top 1
lum1=0;
kkk=kkk+1;
edges(kkk,1)=ix(ind);  %% selected edges 
edges(kkk,2)=jx(ind);

A0(ix(ind),jx(ind))=0; %% delete the edge
A0(jx(ind),ix(ind))=0;

[V0,D0]=eigs(A0,t);
veclum1=abs(V0(indV,1));
vecdelta=abs(veclum0-veclum1);
ResultVec(kkk,1)=vecdelta;


D000=diag(D0);
[seD,indD] = sort(D000,'descend');
D0=diag(seD);
A0T= A0';
[V0T,D0T]=eigs(A0T,t);%% V is left eigenvectors 
V0= abs(V0);
D0(1,1)=abs(D0(1,1));
V0T= abs(V0T);


end
end
